API
इवेंट प्राप्त करें
एक इवेंट उसके प्रतिभागियों और उनके जवाबों के साथ, यह कैसे दोहराता है और इसके रिमाइंडर।
GET/calendar/events/{id}
2 कॉल में से कोई भी आपके वर्कस्पेस पर चलाता है।
GET /calendar/events/{id}
एक इवेंट उसके प्रतिभागियों और उनके जवाबों के साथ, यह कैसे दोहराता है और इसके रिमाइंडर।
उदाहरण
calendar:read चाहिए।
curl "$OE/calendar/events/cal_3f9a1c7e5b2d48a06c1e9f4b" -H "$AUTH"{ "object": "calendar_event", "id": "cal_3f9a1c7e5b2d48a06c1e9f4b", "uid": "5d2c8e1a-7b3f-4c9d-a6e2-1f8b0c4d7e93@openemail", "sequence": 0, "summary": "Planning", "description": null, "location": "Room 2", "url": null, "start": "2026-10-12T09:00:00.000Z", "end": "2026-10-12T09:30:00.000Z", "allDay": false, "timezone": "Europe/London", "recurrence": "FREQ=WEEKLY;BYDAY=MO", "exdates": [], "status": "CONFIRMED", "transparency": "OPAQUE", "visibility": "PUBLIC", "organizer": { "email": "[email protected]", "name": null }, "isOrganizer": true, "source": "local", "messageId": null, "threadId": null, "alarms": [{ "minutesBefore": 10, "action": "DISPLAY" }], "attendees": [ { "object": "calendar_attendee", "email": "[email protected]", "name": "Ada", "partstat": "NEEDS-ACTION", "role": "REQ-PARTICIPANT", "rsvp": true, "cutype": null, "respondedAt": null } ], "createdAt": "2026-10-02T14:03:11.000Z", "updatedAt": "2026-10-02T14:03:11.000Z"}GET /calendar/events/{id}/ics वही इवेंट बिना METHOD वाले iCalendar दस्तावेज़ के रूप में देता है, इसलिए इसे आयात करने पर इवेंट दिखता है, जवाब देने का विकल्प नहीं।